## kcoreaddons 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KCoreAddons)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)


include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)

# Configure checks for kdirwatch
find_package(FAM)

set_package_properties(FAM PROPERTIES
     PURPOSE "Provides file alteration notification facilities using a separate service. FAM provides additional support for NFS.")

set(HAVE_FAM ${FAM_FOUND})

include(CheckIncludeFiles)
check_include_files(sys/inotify.h SYS_INOTIFY_H_FOUND)
set(HAVE_SYS_INOTIFY_H ${SYS_INOTIFY_H_FOUND})


# Generate io/config-kdirwatch.h
configure_file(src/lib/io/config-kdirwatch.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/lib/io/config-kdirwatch.h)

include(ECMPoQmTools)

set(KF5_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KCOREADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
                        SOVERSION 5)


if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

kde_enable_exceptions()

add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CoreAddons")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5CoreAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/KF5CoreAddonsMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5CoreAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CoreAddonsTargets.cmake NAMESPACE KF5:: )
install(EXPORT KF5CoreAddonsToolingTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CoreAddonsToolingTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kcoreaddons 5.3.0

=== debian/changelog ===
kcoreaddons (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Fix a typo in -data description.
  * Do not build depend on qt5-default, we use qtbase5-dev instead.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:28:23 +0100

kcoreaddons (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts
  * dev package Depends on libkf5service-dev used by KF5CoreAddonsTargets.cmake
  * desktoptojson moved from libkf5service-dev to here

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:45:22 +0200

kcoreaddons (5.1.0-0ubuntu1) utopic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release
  * Patch symbols with batchpatch 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:14:50 +0200

kcoreaddons (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 09 Jul 2014 16:36:04 +0200

=== debian/control ===
Source: kcoreaddons
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.5
Section: libs
Homepage: http://projects.kde.org/kcoreaddons
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kcoreaddons.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kcoreaddons.git

Package: libkf5coreaddons-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libkf5coreaddons5 (= ${binary:Version}), qtbase5-dev
Replaces: libkf5service-dev (<= 5.2.0)
Breaks: libkf5service-dev (<= 5.2.0)
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for KCoreAddons.

Package: libkf5coreaddons5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Frameworks 5 addons to QtCore
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5coreaddons-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Frameworks 5 addons to QtCore - data files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the arch independent files for KCoreAddons.

Package: libkf5coreaddons5-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Frameworks 5 addons to QtCore - debugging symbols
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the debugging symbols for KCoreAddons.

=== debian/rules ===
#!/usr/bin/make -f
 
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5coreaddons5-dbg

override_dh_auto_test:
	[ -e $(CURDIR)/debian/tests.home ] || mkdir $(CURDIR)/debian/tests.home
	HOME=$(CURDIR)/debian/tests.home $(overridden_command)
	rm -rf $(CURDIR)/debian/home/tests.home

## kcoreaddons 5.9.0

=== debian/changelog ===
kcoreaddons (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:24:41 +0200

kcoreaddons (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:31:53 +0100

kcoreaddons (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:54:12 +0100

kcoreaddons (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:14:40 +0100

kcoreaddons (5.5.0-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * Remove unused FAM build-dep, we use inotify
  * Remove unused patch disable-failing-test.diff

  [ Scarlett Clark ]
  * Add -data as a depend to parent package.
  * wrap-and-sort 
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:16:26 +0100

kcoreaddons (5.4.0-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * Add new build dependency FAM

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:15:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://projects.kde.org/kcoreaddons
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kcoreaddons.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kcoreaddons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kcoreaddons.git
 
 Package: libkf5coreaddons-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, libkf5coreaddons5 (= ${binary:Version}), qtbase5-dev
+Depends: libkf5coreaddons5 (= ${binary:Version}),
+         qtbase5-dev,
+         ${shlibs:Depends}
 Replaces: libkf5service-dev (<= 5.2.0)
 Breaks: libkf5service-dev (<= 5.2.0)
 Description: KDE Frameworks 5 addons to QtCore - development files
@@ -35,7 +37,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libkf5coreaddons-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: KDE Frameworks 5 addons to QtCore
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,

## kcoreaddons 5.15.0

=== debian/changelog ===
kcoreaddons (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:44:49 +0100

kcoreaddons (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:11:49 +0100

kcoreaddons (5.13.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * new upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols files.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:53:50 +0200

kcoreaddons (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Vivid backport. 
  * Apply 0001-Update-symbols.patch provided by santa. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:26:22 +0200

kcoreaddons (5.11.0-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 08 Jul 2015 08:09:53 -0700

kcoreaddons (5.11.0-2~) UNRELEASED; urgency=medium

  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 21:51:05 +0200

kcoreaddons (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * Remove upstream applied patch: colliding_webp_mime_info
  * New upstream release (5.11.0).
  * Revert the -dev package to MA same.
  * Update symbols files.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 13:14:02 +0200

kcoreaddons (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Remove upstream applied patch: colliding_webp_mime_info

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:49:39 +0200

kcoreaddons (5.9.0-1) experimental; urgency=medium

  * Remove colliding webp mime info.
  * New patch: colliding_webp_mime_info
  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:19 +0200

kcoreaddons (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Remove upstream patch:
    upstream_add_licensing_information_for_files_missing_it
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:26:52 +0100

kcoreaddons (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * Update build dependencies.
  * New upstream patch:
    upstream_add_licensing_information_for_files_missing_it

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Feb 2015 23:52:34 +0100

kcoreaddons (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Fix a typo in -data description.
  * Do not build depend on qt5-default, we use qtbase5-dev instead.

  [ Maximiliano Curia ]
  * New upstream release (5.6.0).
  * Update build dependencies to experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed
  * Update build dependencies to follow cmake.
  * Fix dependencies.
  * Update copyright information.
  * Add basic autopkgtests support.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Jan 2015 23:04:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: kcoreaddons
+Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libfam-dev,
+               pkg-kde-tools (>= 0.15.16~),
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
+               shared-mime-info (>= 1.3)
 Standards-Version: 3.9.6
-Section: libs
+XS-Testsuite: autopkgtest
 Homepage: http://projects.kde.org/kcoreaddons
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kcoreaddons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kcoreaddons.git
@@ -18,8 +21,10 @@
 Package: libkf5coreaddons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons5 (= ${binary:Version}),
-         qtbase5-dev,
+Multi-Arch: same
+Depends: libkf5coreaddons-bin-dev (= ${binary:Version}),
+         libkf5coreaddons5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
          ${shlibs:Depends}
 Replaces: libkf5service-dev (<= 5.2.0)
 Breaks: libkf5service-dev (<= 5.2.0)
@@ -33,11 +38,28 @@
  .
  This package contains the development files for KCoreAddons.
 
+Package: libkf5coreaddons-bin-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkf5coreaddons-dev (<< 5.10+git20150714)
+Breaks: libkf5coreaddons-dev (<< 5.10+git20150714)
+Description: KDE Frameworks 5 addons to QtCore - development files
+ KCoreAddons provides classes built on top of QtCore to perform various tasks
+ such as manipulating mime types, autosaving files, creating backup files,
+ generating random sequences, performing text manipulations such as macro
+ replacement, accessing user information and many more.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the binary development files for KCoreAddons.
+
 Package: libkf5coreaddons5
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: libkf5coreaddons-data (= ${source:Version}),
+         shared-mime-info (>= 1.3),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: KDE Frameworks 5 addons to QtCore
@@ -49,10 +71,11 @@
  This package is part of KDE Frameworks 5.
 
 Package: libkf5coreaddons-data
-Section: libs
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkf5coreaddons-dev (<= 5.8.0-1)
+Breaks: libkf5coreaddons-dev (<= 5.8.0-1)
 Description: KDE Frameworks 5 addons to QtCore - data files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,

## kcoreaddons 5.18.0

=== debian/changelog ===
kcoreaddons (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release
  * Add new library symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:19:12 +0100

kcoreaddons (5.16.0-1) unstable; urgency=medium

  * Move bin-dev cmake files from the -dev package. Thanks to Aleix Pol
  * New upstream release (5.16.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:43 +0100

kcoreaddons (5.15.0-0ubuntu3) UNRELEASED; urgency=medium

  * Fix merge madness.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 11 Nov 2015 19:21:19 -0800

kcoreaddons (5.15.0-2~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * Move bin-dev cmake files from the -dev package. Thanks to Aleix Pol

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Nov 2015 17:05:18 +0100

kcoreaddons (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:15:59 +0200

kcoreaddons (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:33 +0100

kcoreaddons (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:01 +0200

kcoreaddons (5.13.0-1) unstable; urgency=medium

  * Drop XS-Testsuite field
  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Aug 2015 21:36:47 +0200

kcoreaddons (5.12.0-1) unstable; urgency=medium

  * Update copyright information.
  * New upstream release (5.12.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                libfam-dev,
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.4),
@@ -13,7 +13,6 @@
                qttools5-dev-tools (>= 5.4),
                shared-mime-info (>= 1.3)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://projects.kde.org/kcoreaddons
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kcoreaddons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kcoreaddons.git
@@ -43,8 +42,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libkf5coreaddons-dev (<< 5.10+git20150714)
-Breaks: libkf5coreaddons-dev (<< 5.10+git20150714)
+Replaces: libkf5coreaddons-dev (<< 5.15.0-2~)
+Breaks: libkf5coreaddons-dev (<< 5.15.0-2~)
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kcoreaddons-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kcoreaddons-(.*)\.tar\.xz

## kcoreaddons 5.26.0

=== debian/changelog ===
kcoreaddons (5.26.0-0ubuntu2) yakkety; urgency=medium

  * SECURITY UPDATE: KMail - HTML injection in plain text viewer
    (LP: #1630700)
    - debian/patches/0001-Fix-very-old-bug-when-we-remove-space-in-
      url-as-foo-.patch: Code added by upstream to fix another bug,
      but needs to be applied in advance of patch 0002
    - debian/patches/0002-Don-t-convert-as-url-an-url-which-has-a.patch:
      Fixes CVE-2016-7966
    Patches cherrypicked from Debian:
    https://anonscm.debian.org/git/pkg-kde/frameworks/kcoreaddons.git
    Commit: ab7258dd8a87668ba63c585a69f41f291254aa43
    Many thanks to Sandro Knauß for these patches

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 07 Oct 2016 23:57:19 +0100

kcoreaddons (5.26.0-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * Installing new license files

  [ Rik Mills ]
  * New upstream release (5.26.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 22 Sep 2016 13:42:27 +0100

kcoreaddons (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:38:34 +0000

kcoreaddons (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:09:27 +0200

kcoreaddons (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Bump version to latest. 
  * Add upstream_krandom_regression.patch as suggested by upstream. 
  * Debian merge: No remaining changes. 
  * Remove upstream applied patch from unstable. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release
  * Refreshing symbols

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:14:41 -0700

kcoreaddons (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:56 +0100

kcoreaddons (5.19.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Refreshed symbols

 -- Clive Johnston <clivejo@aol.com>  Thu, 25 Feb 2016 20:27:41 +0000

kcoreaddons (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                libfam-dev,
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.4),
@@ -14,8 +14,8 @@
                shared-mime-info (>= 1.3)
 Standards-Version: 3.9.6
 Homepage: http://projects.kde.org/kcoreaddons
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kcoreaddons.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kcoreaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
 
 Package: libkf5coreaddons-dev
 Section: libdevel
@@ -84,21 +84,3 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the arch independent files for KCoreAddons.
-
-Package: libkf5coreaddons5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libkf5coreaddons5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: KDE Frameworks 5 addons to QtCore - debugging symbols
- KCoreAddons provides classes built on top of QtCore to perform various tasks
- such as manipulating mime types, autosaving files, creating backup files,
- generating random sequences, performing text manipulations such as macro
- replacement, accessing user information and many more.
- .
- This package is part of KDE Frameworks 5.
- .
- This package contains the debugging symbols for KCoreAddons.

## kcoreaddons 5.28.0

=== debian/changelog ===
kcoreaddons (5.28.0-2) unstable; urgency=medium

  * Add new upstream patch:
    Fix-Bug-343275-1-added-at-the-end-of-a-hyperlink.patch
  * Add new upstream patch:
    Fix-Bug-363427-unsafe-characters-incorrectly-parsed-as-pa.patch
  * Add new upstream patch: KDirWatch-fix-memory-leak-on-destruction.patch

 -- Maximiliano Curia <maxy@debian.org>  Fri, 31 Mar 2017 15:53:53 +0200

kcoreaddons (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:01:12 +0100

kcoreaddons (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:49:11 +0200

kcoreaddons (5.26.0-3) unstable; urgency=high

  [ Sandro Knauß ]
  * Additional patches to complete the fix for CVE-2016-7966
    0003-Add-more-autotests.patch
    0004-Display-bad-url.patch

 -- Sandro Knauß <hefee@debian.org>  Thu, 13 Oct 2016 11:53:36 +0200

kcoreaddons (5.26.0-2) unstable; urgency=high

  [ Sandro Knauß ]
  * Added patches to fix CVE-2016-7966 (Closes: #840547)
    0001-Fix-very-old-bug-when-we-remove-space-in-url-as-foo-.patch
    0002-Don-t-convert-as-url-an-url-which-has-a.patch
    - Fixes CVE-2016-7966
      https://security-tracker.debian.org/tracker/CVE-2016-7966

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 07 Oct 2016 22:46:43 +0200

kcoreaddons (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:55:53 +0200

kcoreaddons (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Update install files
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:19:25 +0200

kcoreaddons (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:11:30 +0200

kcoreaddons (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 00:20:48 +0200

kcoreaddons (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * Update acc.in file
  * Ignore acc test till #820070 gets fixed
  * uscan no longer supports more than one main upstream tarball being listed
  * Add new patch: missing_include.diff
  * Drop forced includes in the acc file
  * Re enable acc test
  * Update testsuite script

  [ Automatic packaging ]
  * Update symbols files.
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 May 2016 20:06:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                libfam-dev,
                pkg-kde-tools (>= 0.15.16~),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                shared-mime-info (>= 1.3)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://projects.kde.org/kcoreaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kcoreaddons.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kcoreaddons.git
 
 Package: libkf5coreaddons-dev
 Section: libdevel
@@ -23,10 +23,19 @@
 Multi-Arch: same
 Depends: libkf5coreaddons-bin-dev (= ${binary:Version}),
          libkf5coreaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${shlibs:Depends}
 Replaces: libkf5service-dev (<= 5.2.0)
-Breaks: libkf5service-dev (<= 5.2.0)
+Breaks: baloo-kf5-dev (<< 5.28),
+        kded5-dev (<< 5.28),
+        libkf5auth-dev (<< 5.28),
+        libkf5crash-dev (<< 5.28),
+        libkf5guiaddons-dev (<< 5.28),
+        libkf5jobwidgets-dev (<< 5.28),
+        libkf5notifications-dev (<< 5.28),
+        libkf5package-dev (<< 5.28),
+        libkf5pty-dev (<< 5.28),
+        libkf5service-dev (<< 5.28)
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -68,6 +77,63 @@
  replacement, accessing user information and many more.
  .
  This package is part of KDE Frameworks 5.
+Breaks: baloo-kf5 (<< 5.28),
+        frameworkintegration (<< 5.28),
+        kded5 (<< 5.28),
+        kgendesignerplugin (<< 5.28),
+        kinit (<< 5.28),
+        kio (<< 5.28),
+        kpackagelauncherqml (<< 5.28),
+        kpackagetool5 (<< 5.28),
+        kross (<< 5.28),
+        ktexteditor-katepart (<< 5.28),
+        libkf5auth5 (<< 5.28),
+        libkf5baloo5 (<< 5.28),
+        libkf5bookmarks5 (<< 5.28),
+        libkf5configwidgets5 (<< 5.28),
+        libkf5crash5 (<< 5.28),
+        libkf5emoticons-bin (<< 5.28),
+        libkf5emoticons5 (<< 5.28),
+        libkf5globalaccel-bin (<< 5.28),
+        libkf5globalaccelprivate5 (<< 5.28),
+        libkf5iconthemes5 (<< 5.28),
+        libkf5jobwidgets5 (<< 5.28),
+        libkf5kcmutils5 (<< 5.28),
+        libkf5kdelibs4support5 (<< 5.28),
+        libkf5kdelibs4support5-bin (<< 5.28),
+        libkf5khtml-bin (<< 5.28),
+        libkf5khtml5 (<< 5.28),
+        libkf5kiocore5 (<< 5.28),
+        libkf5kiofilewidgets5 (<< 5.28),
+        libkf5kiogui5 (<< 5.28),
+        libkf5kiontlm5 (<< 5.28),
+        libkf5kiowidgets5 (<< 5.28),
+        libkf5newstuff5 (<< 5.28),
+        libkf5notifications5 (<< 5.28),
+        libkf5package5 (<< 5.28),
+        libkf5parts-plugins (<< 5.28),
+        libkf5parts5 (<< 5.28),
+        libkf5people5 (<< 5.28),
+        libkf5peoplewidgets5 (<< 5.28),
+        libkf5plasma5 (<< 5.28),
+        libkf5plasmaquick5 (<< 5.28),
+        libkf5pty5 (<< 5.28),
+        libkf5quickaddons5 (<< 5.28),
+        libkf5runner5 (<< 5.28),
+        libkf5service-bin (<< 5.28),
+        libkf5service5 (<< 5.28),
+        libkf5su-bin (<< 5.28),
+        libkf5su5 (<< 5.28),
+        libkf5texteditor5 (<< 5.28),
+        libkf5textwidgets5 (<< 5.28),
+        libkf5wallet-bin (<< 5.28),
+        libkf5webkit5 (<< 5.28),
+        libkf5xmlgui5 (<< 5.28),
+        libkf5xmlrpcclient5 (<< 5.28),
+        plasma-framework (<< 5.28),
+        qml-module-org-kde-activities (<< 5.28),
+        qml-module-org-kde-extensionplugin (<< 5.28),
+        qml-module-org-kde-kcoreaddons (<< 5.28)
 
 Package: libkf5coreaddons-data
 Architecture: all

## kcoreaddons 5.31.0

=== debian/changelog ===
kcoreaddons (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:09 +0000

kcoreaddons (5.30.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:53 +0000

kcoreaddons (5.28.0-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Removing patches for CVE which are now applied upstream

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Remove debian upstream patches which are no longer needed

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

  [ Walter Lapchynski ]
  * Added not-installed to remove additional license locations

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:16:58 +0000

=== debian/control ===
Source: kcoreaddons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libfam-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               shared-mime-info (>= 1.3)
Standards-Version: 3.9.8
Homepage: http://projects.kde.org/kcoreaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons

Package: libkf5coreaddons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5coreaddons-bin-dev (= ${binary:Version}),
         libkf5coreaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5service-dev (<= 5.2.0)
Replaces: libkf5service-dev (<= 5.2.0)
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for KCoreAddons.

Package: libkf5coreaddons-bin-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5coreaddons-dev (<< 5.15.0-2~)
Replaces: libkf5coreaddons-dev (<< 5.15.0-2~)
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the binary development files for KCoreAddons.

Package: libkf5coreaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-data (= ${source:Version}),
         shared-mime-info (>= 1.3),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Frameworks 5 addons to QtCore
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5coreaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5coreaddons-dev (<= 5.8.0-1)
Replaces: libkf5coreaddons-dev (<= 5.8.0-1)
Description: KDE Frameworks 5 addons to QtCore - data files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the arch independent files for KCoreAddons.

## kcoreaddons 5.38.0

=== debian/changelog ===
kcoreaddons (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:14:29 +0100

kcoreaddons (5.37.0-0ubuntu1) artful; urgency=medium

  * Update symbols from build logs
  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:13 +0100

kcoreaddons (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:04 +0100

kcoreaddons (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:10 +0100

kcoreaddons (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:06 +0100

kcoreaddons (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:05:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                libfam-dev,
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.6.1~),
